.. SPDX-FileCopyrightText: 2023 The meson-python developers
..
.. SPDX-License-Identifier: MIT

.. _explanations-editable-installs:

******************************
How do editable installs work?
******************************


.. todo::

   - Explain how the custom finder works
   - Explain what is the purpose of the ``_MESONPY_EDITABLE_SKIP`` environment
     variable

     - Warn that the approach described is purely informational, and should
       not be relied on
